### Hierarchy

- CommonFunctions

## Index

### Properties

- suite
- test

### Methods

- after
- afterEach
- before
- beforeEach
- runWithSuite

## Properties

### suite

suite: SuiteFunctions

- Defined in node_modules/@types/mocha/index.d.ts:2931

### test

test: TestFunctions

- Defined in node_modules/@types/mocha/index.d.ts:2932

## Methods

### after

- after(fn?: Func | AsyncFunc): void
- after(name: string, fn?: Func | AsyncFunc): void

- - Defined in node_modules/@types/mocha/index.d.ts:2904

  Execute after running tests.

  #### Parameters

  - ##### Optional fn: Func | AsyncFunc

  #### Returns void

- - Defined in node_modules/@types/mocha/index.d.ts:2909

  Execute after running tests.

  #### Parameters

  - ##### name: string

  - ##### Optional fn: Func | AsyncFunc

  #### Returns void

### afterEach

- afterEach(fn?: Func | AsyncFunc): void
- afterEach(name: string, fn?: Func | AsyncFunc): void

- - Defined in node_modules/@types/mocha/index.d.ts:2924

  Execute after each test case.

  #### Parameters

  - ##### Optional fn: Func | AsyncFunc

  #### Returns void

- - Defined in node_modules/@types/mocha/index.d.ts:2929

  Execute after each test case.

  #### Parameters

  - ##### name: string

  - ##### Optional fn: Func | AsyncFunc

  #### Returns void

### before

- before(fn?: Func | AsyncFunc): void
- before(name: string, fn?: Func | AsyncFunc): void

- - Defined in node_modules/@types/mocha/index.d.ts:2894

  Execute before running tests.

  #### Parameters

  - ##### Optional fn: Func | AsyncFunc

  #### Returns void

- - Defined in node_modules/@types/mocha/index.d.ts:2899

  Execute before running tests.

  #### Parameters

  - ##### name: string

  - ##### Optional fn: Func | AsyncFunc

  #### Returns void

### beforeEach

- beforeEach(fn?: Func | AsyncFunc): void
- beforeEach(name: string, fn?: Func | AsyncFunc): void

- - Defined in node_modules/@types/mocha/index.d.ts:2914

  Execute before each test case.

  #### Parameters

  - ##### Optional fn: Func | AsyncFunc

  #### Returns void

- - Defined in node_modules/@types/mocha/index.d.ts:2919

  Execute before each test case.

  #### Parameters

  - ##### name: string

  - ##### Optional fn: Func | AsyncFunc

  #### Returns void

### runWithSuite

- runWithSuite(suite: Suite): function

- - Defined in node_modules/@types/mocha/index.d.ts:2889

  This is only present if flag --delay is passed into Mocha. It triggers root suite execution.

  #### Parameters

  - ##### suite: Suite

  #### Returns function

  - - (): void

    - #### Returns void

Generated using TypeDoc